Subject: [Sipping] State Agents in sipping-dialog-package-04

From: "Eric Burger" <[email-masked]>
Date: Sun, 29 Feb 2004 08:30:39 -0500

I was thinking: would it not be useful to recommend a state agent for hiding devices behind a forking proxy?  Isn't the subscriber interested in the user / user+device state?

Subscribing to the dialog package will let you see the topology of all of my endpoints behind a forking proxy.  You can figure out that I've got a home phone, a work phone, a soft phone, a phone at the ski slope, and a silly phone.  I might not want you to know that.  However, I may want you to use the cool features dialog package enables.

If I have a stateless forking proxy, then yes, simply calling me will get you all of the 1xx's and 4xx's showing all of my devices.  However, if I have a stateful proxy that collects and sorts provisional responses, only sending back a real contact, then you don't get all of my device info.  Thus having a state agent would mirror the level of security a simple INVITE has.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP